Bug 649815 - revisor doesn't start
revisor doesn't start
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: revisor (Show other bugs)
14
athlon Linux
low Severity medium
: ---
: ---
Assigned To: Jeroen van Meeuwen
Fedora Extras Quality Assurance
: Reopened
: 653209 688584 708641 884619 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-04 11:57 EDT by Germán Racca
Modified: 2015-07-16 13:14 EDT (History)
36 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 17:59:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Germán Racca 2010-11-04 11:57:56 EDT
Description of problem:
Just that revisor doesn't start

Version-Release number of selected component (if applicable):
revisor-2.2-2.fc14.noarch

How reproducible:
$ revisor &
Cannot find anaconda-runtime in /usr/lib/anaconda-runtime

- or -

$ revisor --cli --yes --model=f14-x86_64 --config=/usr/share/spin-kickstarts/fedora-livecd-xfce.ks --live-optical &
Cannot find anaconda-runtime in /usr/lib/anaconda-runtime

Steps to Reproduce:
1. Start revisor in console
2. error message as informed
3.
  
Actual results:
revisor doesn't start

Expected results:
To be able to use revisor, of course

Additional info:
$ yum provides /usr/lib/anaconda-runtime
...
No Matches found

$ uname -r
2.6.35.6-48.fc14.x86_64
Comment 1 Ante de Baas 2010-11-16 09:03:52 EST
i created 2 symlinks on that appear to solve the problem.

ln -s /usr/lib64/anaconda/ /usr/lib/anaconda-runtime
ln -s /usr/lib/revisor/scripts/F12-buildinstall /usr/lib/anaconda-runtime/buildinstall

i'm unsure if this solves things for the GUI, as i never use it.

--
Ante
Comment 2 cyrille 2010-11-30 13:39:21 EST
Like others

Description of problem:
Just that revisor doesn't start

anaconda-runtime is require but not found on F14

# revisor 
Impossible de trouver anaconda-runtime dans /usr/lib/anaconda-runtime

$ yum search anaconda-runtime
Modules complémentaires chargés : langpacks, presto, refresh-packagekit
Adding fr_FR to language list
Attention : Aucune correspondance trouvée pour : anaconda-runtime
Aucune correspondance trouvée


kernel / 2.6.35.6-48.fc14.x86_64 

$ rpm -qa revisor
revisor-2.2-2.fc14.noarch
Comment 3 Chris Noffsinger 2010-12-18 01:08:43 EST
64 Bit Fedora 14 Revisor

Same issue.

Comment 2 Workaround Allows the Revisor Gui to load for me

ln -s /usr/lib64/anaconda/ /usr/lib/anaconda-runtime
ln -s /usr/lib/revisor/scripts/F12-buildinstall

Confirmed work-around Fix
Comment 4 cyrille 2010-12-18 03:45:04 EST
Ok it's fine, thx !
Comment 5 Germán Racca 2010-12-20 10:16:41 EST
I did the same steps as in comment 1, and it started to work, but when I get to the window for setting network and press forward button, I get this:

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/revisor/modgui/lm_network.py", line 471, in button_forward_clicked
    self.store_options()
  File "/usr/lib/python2.7/site-packages/revisor/modgui/lm_network.py", line 397, in store_options
    self.cfg.ksobj._network_add(nd)
  File "/usr/lib/python2.7/site-packages/revisor/kickstart.py", line 168, in _network_add
    self.handler.network.add(nd)
AttributeError: 'F8_Network' object has no attribute 'add'
Comment 6 che 2011-01-16 07:02:07 EST
in my f14 
"
ln -s /usr/lib64/anaconda/ /usr/lib/anaconda-runtime
ln -s /usr/lib/revisor/scripts/F12-buildinstall   /usr/lib/anaconda-runtime/buildinstall
"
it is useful, but u should do
rm /usr/lib/anaconda-runtime ; mkdir /usr/lib/anaconda-runtime
firstly
Comment 7 Germán Racca 2011-01-17 10:38:05 EST
Ok, I did that. As I said in comment 5, network configuration doesn't work, so I skipped that step.

Now the problem is that Revisor doesn't get to the last step, as it stopped working in the the window called "Building Your Media", at the "Configure System" stage. It stays there indefinitely.

Any ideas?
Comment 8 Martin Langhoff 2011-01-19 17:12:10 EST
There are various parts of revisor that look for anaconda-runtime

 - it checks for the directory, which you can 'fake' with just about anything
 - it seems to various tools from that dir, however anaconda has moved those to either /usr/libexec/anaconda or to /usr/lib/anaconda, revisor should revise its libexec paths to match...
 - it want to see an anaconda-runtime rpm in the target build -- there is no such rpm for recent Fedoras
Comment 9 Jeroen van Meeuwen 2011-01-19 19:56:18 EST
*** Bug 653209 has been marked as a duplicate of this bug. ***
Comment 10 Jeroen van Meeuwen 2011-01-19 20:16:37 EST
(In reply to comment #8)
> There are various parts of revisor that look for anaconda-runtime
> 
>  - it checks for the directory, which you can 'fake' with just about anything

Fixed.

>  - it seems to various tools from that dir, however anaconda has moved those to
> either /usr/libexec/anaconda or to /usr/lib/anaconda, revisor should revise its
> libexec paths to match...

Fixed, though in an ugly fashion (first check legacy, then check lib64, then check lib, then check libexec).

>  - it want to see an anaconda-runtime rpm in the target build -- there is no
> such rpm for recent Fedoras

Fixed, including busybox-anaconda and rhpl.
Comment 11 Germán Racca 2011-01-20 12:25:11 EST
Why this bug is close?
Comment 12 Levente Farkas 2011-01-24 12:20:50 EST
where is the fix?
is there any working version for rhel-6?
thanks.
Comment 13 Levente Farkas 2011-01-24 12:45:32 EST
anyway still in upstream there is an extra ")":
-------------------
File "/usr/sbin/revisor", line 42
    anaconda_path = "/usr/lib/anaconda/")
-------------------
Comment 14 Levente Farkas 2011-01-24 12:49:10 EST
and even if i fix that i've got this error:
----------------------------------
Traceback (most recent call last):
  File "/usr/sbin/revisor", line 60, in <module>
    revisor = revisor.Revisor()
  File "/usr/lib/python2.6/site-packages/revisor/__init__.py", line 69, in __init__
    self.base = revisor.base.RevisorBase(self)
  File "/usr/lib/python2.6/site-packages/revisor/base.py", line 86, in __init__
    self.create_configstore()
  File "/usr/lib/python2.6/site-packages/revisor/base.py", line 151, in create_configstore
    self.cfg = revisor.cfg.ConfigStore(self)
  File "/usr/lib/python2.6/site-packages/revisor/cfg.py", line 70, in __init__
    self.runtime = Runtime(self.plugins, self.defaults)
  File "/usr/lib/python2.6/site-packages/revisor/cfg.py", line 1269, in __init__
    if os.path.is_dir('/usr/lib/anaconda-runtime/boot/'):
AttributeError: 'module' object has no attribute 'is_dir'
----------------------------------
Comment 15 carlo nascimbeni 2011-02-15 06:14:35 EST
To start revisor on my fedora 14 I make the 2 ln -s patch and I was able to start the application but I had this output in cli mode:

[root@localhost fc14]# sh revisor/revisor.sh
SELinux su questo host è disabilitato, per questo SELinux non sarà disponibile
sul supporto creato e di conseguenza nei sistemi in cui il supporto creato
verrà installato
Caricamento repository:          ########################################
100.0%  
Selezione pacchetti kickstart:   ########################################
100.0%  
Input: bitmap-fonts-cjk
Input: dejavu-lgc-fonts
Input: fonts-ISO8859-2
Input: fonts-ISO8859-9
Input: sazanami-fonts-gothic
Input: xorg-x11-100dpi-fonts
Input: xorg-x11-base
Input: xorg-x11-base-fonts
Input: xorg-x11-ISO8859-15-75dpi
Input: xorg-x11-ISO8859-15-75dpi-fonts
Input: xorg-x11-ISO8859-2-75dpi-fonts
Input: xorg-x11-ISO8859-9-75dpi-fonts
Input: xorg-x11-KOI8-R
Input: xorg-x11-KOI8-R-75dpi-fonts
Input: xorg-x11-libs
Input: xorg-x11-libs-data
No Package Matching anaconda-runtime. Questo è un pacchetto necessario. 

--------
anaconda-14.22-1.fc14.i686 is installed and up to date,
I have nothing which point to anaconda-runtime,
I tried to uninstall anaconda-14.22-1.fc14.i686 and installed anaconda for fedora 13 but the result was the same error.
I think in fedora 14 there is only anaconda package and not anaconda-runtime, where I can tell this to revisor ?
Suggestions ??
thanks
Comment 16 Michael Hampton 2011-03-29 00:07:20 EDT
Comment 10 indicates that these issues were fixed, but I am yet to receive an update after two months. There doesn't seem to be one in updates-testing either. What is the actual status here?
Comment 17 Nick Soracco 2011-04-27 14:11:30 EDT
Checking in.  This bug is still here even in late April as F15 is approaching release.  I'm running into this on Fedora 14 x86_64 and i686.

Looking with yum whatprovides, no package satisfies /usr/lib/anaconda-runtime/.

updates-testing and rawhide do not contain these fixes.  Can we have a link to the fixes for testing?
Comment 18 Nick Soracco 2011-04-27 14:21:25 EDT
I stand corrected..  Rawhide *does* have some updates.
Comment 19 Nick Soracco 2011-04-27 14:23:19 EDT
..  but sadly, they do not address this issue.
Comment 20 Renich Bon Ciric 2011-05-10 23:08:31 EDT
Guys, I suffer from the same thing.


[renich@introdesk ~]$ revisor
Cannot find anaconda-runtime in /usr/lib/anaconda-runtime

[renich@introdesk ~]$ rpm -q anaconda revisor
anaconda-14.22-1.fc14.x86_64
revisor-2.2-2.fc14.noarch
Comment 21 Matthias Runge 2011-05-11 02:23:42 EDT
same error here. Something more strange

[root@mrungexp ~]# which revisor
/usr/sbin/revisor
[root@mrungexp ~]# ls -l /usr/sbin/revisor 
-rwxr-xr-x 1 root root 1609 Feb  9 10:01 /usr/sbin/revisor
[root@mrungexp ~]# file /usr/sbin/revisor 
/usr/sbin/revisor: a /usr/bin/python2 script text executable
[root@mrungexp ~]# rpm -q revisor
revisor-2.2-3.fc15.noarch
[root@mrungexp ~]# rpm -ql revisor
(contains no files)

No docs, no man page?

Who owns /usr/share/revisor/comps/comps-f12.xml, current revisor does not.
Comment 22 Germán Racca 2011-05-20 22:48:36 EDT
(In reply to comment #21)
> [root@mrungexp ~]# rpm -ql revisor
> (contains no files)
> 
> No docs, no man page?
> 
> Who owns /usr/share/revisor/comps/comps-f12.xml, current revisor does not.

Revisor is a package that has no files itself, but all of the other revisor-* packages are compiled with revisor. If you make a "yum search revisor" you'll see how many revisor-* packages are. Also you can see the reviso.spec file and see how it is compiled:

http://pkgs.fedoraproject.org/gitweb/?p=revisor.git;a=tree

The revisor man file is owned by revisor-cli package. The comps file you ask for is owned by revisor-comps package. You can make a "rpm -qf /path/to/file" to see who owns that file.

But the question in this bug report is...who's gonna make something to fix revisor? If the maintainers of revisor are not anymore interested in, please remove revisor from Fedora, because we don't want to have a package in Fedora that lacks any kind of functionality. Packages have to work, and revisor doesn't. It's very useful and I love it, but it doesn't work!
Comment 23 David Both 2011-05-27 11:31:29 EDT
I am having this same problem with Fedora 15. I also had it with Fedora 14. Is there any solution forthcoming? Not just a workaround please.
Comment 24 Doug Lloyd 2011-05-30 15:08:17 EDT
Seeing the same issue on F15. 
# rpm -q revisor
revisor-2.2-3.fc15.noarch
# rpm -q anaconda
anaconda-15.31-1.fc15.i686

Will revisor be updated to work with the current anaconda?
Comment 25 Levente Farkas 2011-05-30 18:01:33 EDT
imho it's have to be asked to remove revisor from fedora. it's not support since a few years.
Comment 26 Michael J. Chudobiak 2011-06-07 10:43:15 EDT
*** Bug 708641 has been marked as a duplicate of this bug. ***
Comment 27 Germán Racca 2011-06-18 00:25:53 EDT
*** Bug 688584 has been marked as a duplicate of this bug. ***
Comment 28 ChadH 2011-09-11 17:37:51 EDT
Why is this bug closed? I just installed Fedora 15 and I'm trying to create a new spin for my server to save time. Having the same problem everyone else is. Please open this bug a work towards a fix, please?
Comment 29 Germán Racca 2011-09-12 15:54:26 EDT
I'm here to confirm that in F15 revisor still doesn't work.
Comment 30 David Jansen 2011-09-15 07:31:57 EDT
Here another user in need of a fix, for fedora 14 or 15. or a pointer to a replacement method of making a new Fedora spin, or any other method.
If this is a "closed - wontfix', shouldn't it be listed somewhere that revisor is no longer maintained?
I also see that this bug has a 'needinfo' status. But I don't see from the bug reports what info is needed.
Comment 31 pankaj pandey 2011-11-29 14:59:27 EST
Does not work in F16 too.
Comment 32 Thibault North 2012-02-28 11:24:35 EST
Any update on that bug ?
Comment 33 MattBabineau 2012-03-15 22:43:22 EDT
Great link that tells you how to modify the cfg.py file to change the package names that are outdated. Also you can remove anaconda-runtime from the list :)

https://fedorahosted.org/revisor/ticket/362
Comment 34 MattBabineau 2012-03-16 14:04:53 EDT
and once that breaks F14-buildinstall, found through a google search, edit /usr/lib/python2.6/site-packages/revisor/cfg.py to remove --prodpath code. Even though the comment says that everything later than F9 needs this, it really doesnt.  Hope that helps. Post here if you need more help.
Comment 35 Damian Ivanov 2012-07-07 07:25:39 EDT
Still NOT working in Fedora 17! What information is needed to fix this annoying issue? I can provide you logs etc. whatever you want.
Comment 36 Bruno Wolff III 2012-07-07 08:23:50 EDT
I would suggest using pungi instead of revisor to build install images or livecd-tools for live images. Pungi is what is used to build images for releases and continues to be supported. livecd-tools is what has been used in the past, though we are moving to using livemedia-creator in the future, to create live images for releases. Revisor does not appear to be getting much attention and unless someone else takes an interest it probably won't get fixed.
Comment 37 PABLO SAEZ 2012-07-11 22:47:37 EDT
(In reply to comment #0)

try this:

ln -s /usr/libexec/anaconda /usr/lib/anaconda-runtime

It works

Source:
http://www.adminlinux.org/2012/06/revisor-on-fedora-17-fails-with-error.html

regards
Comment 38 Germán Racca 2012-07-12 13:11:33 EDT
(In reply to comment #37)
> (In reply to comment #0)
> 
> try this:
> 
> ln -s /usr/libexec/anaconda /usr/lib/anaconda-runtime
> 
> It works

No, it doesn't.

Are you sure Pablo? Have you been able to build an iso image with revisor?

That kind of workaround have already been proposed in the messages above, but nothing works for me.
 
> Source:
> http://www.adminlinux.org/2012/06/revisor-on-fedora-17-fails-with-error.html
> 
> regards
Comment 39 PABLO SAEZ 2012-07-15 22:38:24 EDT
(In reply to comment #38)

you're right.It does not work.

but try installing rawhide.
It seems to work.

I installed the following package.
fedora-release-rawhide.noarch                    14-1                    @fedora

and then.
yum update revisor --enablerepo rawhide

can not verify if it works yet.
But it starts. I do not know how to use it.
Comment 40 Germán Racca 2012-07-16 09:02:34 EDT
(In reply to comment #39)
> (In reply to comment #38)
> 
> you're right.It does not work.
> 
> but try installing rawhide.
> It seems to work.
> 
> I installed the following package.
> fedora-release-rawhide.noarch                    14-1                   
> @fedora
> 
> and then.
> yum update revisor --enablerepo rawhide
> 
> can not verify if it works yet.
> But it starts. I do not know how to use it.

I'm nearly sure that it won't work :)

Why your rawhide version is 14-1? Are you using Fedora 14???
Comment 41 Fedora End Of Life 2012-08-16 18:00:01 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 42 Albert Strasheim 2012-11-08 11:58:44 EST
ugh
Comment 43 Germán Racca 2012-12-13 08:26:32 EST
*** Bug 884619 has been marked as a duplicate of this bug. ***
Comment 45 David Strauss 2013-08-08 18:59:51 EDT
Still failing on Fedora 19.
Comment 46 hawkeyeaz1 2013-08-15 22:50:40 EDT
I had the same issue ona 32 bit system, Fedora 19. I fixed it using `sudo ln -s /usr/libexec/anaconda /usr/lib/anaconda`.
Comment 47 Germán Racca 2013-08-15 22:53:42 EDT
(In reply to hawkeyeaz1 from comment #46)
> I had the same issue ona 32 bit system, Fedora 19. I fixed it using `sudo ln
> -s /usr/libexec/anaconda /usr/lib/anaconda`.

And now revisor works? And you composed a midia?
Comment 48 hawkeyeaz1 2013-08-19 17:54:26 EDT
(In reply to Germán Racca from comment #47)
> (In reply to hawkeyeaz1 from comment #46)
> > I had the same issue ona 32 bit system, Fedora 19. I fixed it using `sudo ln
> > -s /usr/libexec/anaconda /usr/lib/anaconda`.
> 
> And now revisor works? And you composed a midia?

It does work (albeit, it dies later with an unrelated issue--not related to his bug report).
Comment 49 hawkeyeaz1 2013-08-19 18:03:56 EDT
It also works with Fedora 16 (x32)
Comment 50 hawkeyeaz1 2013-08-19 18:25:00 EDT
or `sudo ln -s /usr/lib/anaconda/ /usr/lib/anaconda-runtime`
Comment 51 Tomasz Kłosiński 2014-01-31 11:48:06 EST
[root@localhost ~]# revisor
Nie można odnaleźć anaconda-runtime w /usr/lib/anaconda-runtime
[root@localhost ~]# rpm -q anaconda revisor
anaconda-19.30.13-1.fc19.x86_64
revisor-2.2-8.fc19.noarch


Is this unofficial RH policy to not fix this bug? Because this delay of updates seems like RH folks are afraid of too easy process of new distro creation based on RH and Fedora.
Comment 52 Bruno Wolff III 2014-01-31 12:11:36 EST
This is just a package with an orphaned upstream. It really should be retired.
You can use pungi, livecd-tools or lorax to make iamges
Comment 53 Richard Jasmin 2015-07-16 13:14:04 EDT
Comment #37 applies equally for fedora 21. Get the dreaded "cant find anaconda" error otherwise.This needs to be fixed somehow.Sure you can use livecd-creator but the point is that revisor is known in the past to do the same task with a UI.You can find plenty of instructions for using revisor on the net.

There is a way to do same with livecd-creator UI tools, I agree.We really only need one method.Linux has always 13 ways to kill a cat.Never understood why that is.

Question is why am I getting the "SELinux is disabled" error when it clearly is in enforcing mode?

Whoever closed this needs to reopen it.If you want to remove revisor, file a distribution bug.Im already hating this "new" "wontfix" policy when things are clearly "EOL" in such cases.This bug isnt EOL if it still applies.

Note You need to log in before you can comment on or make changes to this bug.